package com.zehong.system.mapper;

import java.util.List;
import com.zehong.system.domain.TProductLogistics;

/**
 * 出货物流Mapper接口
 * 
 * @author zehong
 * @date 2024-08-30
 */
public interface TProductLogisticsMapper 
{
    /**
     * 查询出货物流
     * 
     * @param id 出货物流ID
     * @return 出货物流
     */
    public TProductLogistics selectTProductLogisticsById(Long id);

    /**
     * 查询出货物流列表
     * 
     * @param tProductLogistics 出货物流
     * @return 出货物流集合
     */
    public List<TProductLogistics> selectTProductLogisticsList(TProductLogistics tProductLogistics);

    /**
     * 新增出货物流
     * 
     * @param tProductLogistics 出货物流
     * @return 结果
     */
    public int insertTProductLogistics(TProductLogistics tProductLogistics);

    /**
     * 修改出货物流
     * 
     * @param tProductLogistics 出货物流
     * @return 结果
     */
    public int updateTProductLogistics(TProductLogistics tProductLogistics);

    /**
     * 删除出货物流
     * 
     * @param id 出货物流ID
     * @return 结果
     */
    public int deleteTProductLogisticsById(Long id);

    /**
     * 批量删除出货物流
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTProductLogisticsByIds(Long[] ids);
}
